Skip to content
Start here

Available Plan Details

client.Zones.Plans.Get(ctx, planIdentifier, query) (*AvailableRatePlan, error)
GET/zones/{zone_id}/available_plans/{plan_identifier}

Details of the available plan that the zone can subscribe to.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
planIdentifier string

Identifier

maxLength32
query PlanGetParams
ZoneID param.Field[string]

Identifier

maxLength32
ReturnsExpand Collapse
type AvailableRatePlan struct{…}
ID stringoptional

Identifier

maxLength32
CanSubscribe booloptional

Indicates whether you can subscribe to this plan.

Currency stringoptional

The monetary unit in which pricing information is displayed.

ExternallyManaged booloptional

Indicates whether this plan is managed externally.

Frequency AvailableRatePlanFrequencyoptional

The frequency at which you will be billed for this plan.

One of the following:
const AvailableRatePlanFrequencyWeekly AvailableRatePlanFrequency = "weekly"
const AvailableRatePlanFrequencyMonthly AvailableRatePlanFrequency = "monthly"
const AvailableRatePlanFrequencyQuarterly AvailableRatePlanFrequency = "quarterly"
const AvailableRatePlanFrequencyYearly AvailableRatePlanFrequency = "yearly"
IsSubscribed booloptional

Indicates whether you are currently subscribed to this plan.

LegacyDiscount booloptional

Indicates whether this plan has a legacy discount applied.

LegacyID stringoptional

The legacy identifier for this rate plan, if any.

Name stringoptional

The plan name.

maxLength80
Price float64optional

The amount you will be billed for this plan.

Available Plan Details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zones"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  availableRatePlan, err := client.Zones.Plans.Get(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    zones.PlanGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", availableRatePlan.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "can_subscribe": true,
    "currency": "USD",
    "externally_managed": false,
    "frequency": "monthly",
    "is_subscribed": false,
    "legacy_discount": false,
    "legacy_id": "free",
    "name": "Free Plan",
    "price": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "can_subscribe": true,
    "currency": "USD",
    "externally_managed": false,
    "frequency": "monthly",
    "is_subscribed": false,
    "legacy_discount": false,
    "legacy_id": "free",
    "name": "Free Plan",
    "price": 0
  },
  "success": true
}